PETSc version 3.15.5
Fix/Edit manual page

# SNESFASFullGetTotal

Use total residual restriction and total interpolation on the initial down and up sweep of full FAS cycles

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullGetTotal(SNES snes,PetscBool *total)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context

### Output

| total | - whether to use total restriction / interpolatiaon or not (the alternative is defect restriction and correction interpolation)

### Options Database Key

| -snes_fas_full_total

### See Also

SNESFASSetNumberSmoothUp(), DMInterpolateSolution(), SNESFullSetTotal()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages